#include <bits/stdc++.h>

using namespace std;
map <int,int> cnt;
vector <int> zamena;

int main()
{
	ios_base::sync_with_stdio(false);
	int n,k;
	cin >> n >> k;
	for(int i = 0; i < n; i++)
	{
		int x;
		cin >> x;
		cnt[x]++;
		if(cnt[x]==k)zamena.push_back(x);//cout << x << " ";
	}
	cout << zamena.size() << "\n";
	for(auto x:zamena)cout << x << " ";
	return 0;
}